Opened 4 months ago

Closed 3 months ago

#2268 closed defect (fixed)

geonode demo not working

Reported by: kalxas Owned by: kalxas
Priority: critical Milestone: OSGeoLive14.0
Component: OSGeoLive Keywords: geonode
Cc: osgeolive@…

Description

Packaging work has started during the GeoNode? summit:

https://github.com/GeoNode/geonode/issues/6703

Change history (10)

comment:3 Changed 4 months ago by kalxas

Owner: changed from osgeolive@… to kalxas
Type: taskdefect

Packages now available.

Installation error:

Configuring GeoNode
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/django/apps/config.py", line 118, in create
    cls = getattr(mod, cls_name)
AttributeError: module 'pinax' has no attribute 'ratings'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/django-admin", line 5, in <module>
    management.execute_from_command_line()
  File "/usr/lib/python3/dist-packages/django/core/management/__init__.py", line 381, in execute_from_command_line
    utility.execute()
  File "/usr/lib/python3/dist-packages/django/core/management/__init__.py", line 357, in execute
    django.setup()
  File "/usr/lib/python3/dist-packages/django/__init__.py", line 24, in setup
    apps.populate(settings.INSTALLED_APPS)
  File "/usr/lib/python3/dist-packages/django/apps/registry.py", line 91, in populate
    app_config = AppConfig.create(entry)
  File "/usr/lib/python3/dist-packages/django/apps/config.py", line 136, in create
    import_module(entry)
  File "/usr/lib/python3.8/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1014, in _gcd_import
  File "<frozen importlib._bootstrap>", line 991, in _find_and_load
  File "<frozen importlib._bootstrap>", line 973, in _find_and_load_unlocked
ModuleNotFoundError: No module named 'pinax.ratings'
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/django/apps/config.py", line 118, in create
    cls = getattr(mod, cls_name)
AttributeError: module 'pinax' has no attribute 'ratings'

comment:4 Changed 4 months ago by kalxas

Summary: geonode packages missing for focalgeonode demo not working

comment:5 Changed 3 months ago by kalxas

More progress:

  • packaging work has been completed
  • the build logs are clean now
  • todo: review the local_settings.py to fix the remaining errors in configuration

https://github.com/GeoNode/geonode/issues/6703

comment:6 Changed 3 months ago by kalxas

Current apache 500 error:

[Mon Jan 11 11:03:04.940817 2021] [mpm_prefork:notice] [pid 1821] AH00169: caught SIGTERM, shutting down
Exception ignored in: <function CPointerBase.__del__ at 0x7f5fd5630820>
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/django/contrib/gis/ptr.py", line 37, in __del__
NameError: name 'AttributeError' is not defined
[Mon Jan 11 11:03:05.543963 2021] [mpm_prefork:notice] [pid 2697] AH00163: Apache/2.4.41 (Ubuntu) mod_fcgid/2.3.9 mod-mapcache/1.10.0 mod_wsgi/4.6.8 Python/3.8 configured -- resuming normal operations
[Mon Jan 11 11:03:05.543987 2021] [core:notice] [pid 2697] AH00094: Command line: '/usr/sbin/apache2'
[Mon Jan 11 12:12:55.961693 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336] mod_wsgi (pid=2704): Failed to exec Python script file '/usr/lib/python3/dist-packages/geonode/wsgi.py'.
[Mon Jan 11 12:12:55.961748 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336] mod_wsgi (pid=2704): Exception occurred processing WSGI script '/usr/lib/python3/dist-packages/geonode/wsgi.py'.
[Mon Jan 11 12:12:55.974565 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336] Traceback (most recent call last):
[Mon Jan 11 12:12:55.974664 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]   File "/usr/lib/python3/dist-packages/geonode/wsgi.py", line 30, in <module>
[Mon Jan 11 12:12:55.974672 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]     application = get_wsgi_application()
[Mon Jan 11 12:12:55.974682 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]   File "/usr/lib/python3/dist-packages/django/core/wsgi.py", line 12, in get_wsgi_application
[Mon Jan 11 12:12:55.974687 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]     django.setup(set_prefix=False)
[Mon Jan 11 12:12:55.974696 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]   File "/usr/lib/python3/dist-packages/django/__init__.py", line 24, in setup
[Mon Jan 11 12:12:55.974700 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]     apps.populate(settings.INSTALLED_APPS)
[Mon Jan 11 12:12:55.974709 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]   File "/usr/lib/python3/dist-packages/django/apps/registry.py", line 114, in populate
[Mon Jan 11 12:12:55.974713 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]     app_config.import_models()
[Mon Jan 11 12:12:55.974723 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]   File "/usr/lib/python3/dist-packages/django/apps/config.py", line 211, in import_models
[Mon Jan 11 12:12:55.974727 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]     self.models_module = import_module(models_module_name)
[Mon Jan 11 12:12:55.974736 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]   File "/usr/lib/python3.8/importlib/__init__.py", line 127, in import_module
[Mon Jan 11 12:12:55.974747 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]     return _bootstrap._gcd_import(name[level:], package, level)
[Mon Jan 11 12:12:55.974758 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]   File "<frozen importlib._bootstrap>", line 1014, in _gcd_import
[Mon Jan 11 12:12:55.974768 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]   File "<frozen importlib._bootstrap>", line 991, in _find_and_load
[Mon Jan 11 12:12:55.974778 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]   File "<frozen importlib._bootstrap>", line 975, in _find_and_load_unlocked
[Mon Jan 11 12:12:55.974787 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]   File "<frozen importlib._bootstrap>", line 671, in _load_unlocked
[Mon Jan 11 12:12:55.974796 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]   File "<frozen importlib._bootstrap_external>", line 783, in exec_module
[Mon Jan 11 12:12:55.974806 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]   File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
[Mon Jan 11 12:12:55.974815 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]   File "/usr/lib/python3/dist-packages/geonode/monitoring/models.py", line 49, in <module>
[Mon Jan 11 12:12:55.974819 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]     import user_agents
[Mon Jan 11 12:12:55.974828 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]   File "/usr/lib/python3/dist-packages/user_agents/__init__.py", line 3, in <module>
[Mon Jan 11 12:12:55.974832 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]     from .parsers import parse
[Mon Jan 11 12:12:55.974841 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]   File "/usr/lib/python3/dist-packages/user_agents/parsers.py", line 3, in <module>
[Mon Jan 11 12:12:55.974845 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]     from ua_parser import user_agent_parser
[Mon Jan 11 12:12:55.974855 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]   File "/usr/lib/python3/dist-packages/ua_parser/user_agent_parser.py", line 481, in <module>
[Mon Jan 11 12:12:55.974859 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]     regexes = yaml.load(fp, Loader=SafeLoader)
[Mon Jan 11 12:12:55.974868 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]   File "/usr/lib/python3/dist-packages/yaml/__init__.py", line 114, in load
[Mon Jan 11 12:12:55.974872 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]     return loader.get_single_data()
[Mon Jan 11 12:12:55.974881 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]   File "/usr/lib/python3/dist-packages/yaml/constructor.py", line 49, in get_single_data
[Mon Jan 11 12:12:55.974885 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]     node = self.get_single_node()
[Mon Jan 11 12:12:55.974894 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]   File "ext/_yaml.pyx", line 702, in _yaml.CParser.get_single_node
[Mon Jan 11 12:12:55.974903 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]   File "ext/_yaml.pyx", line 903, in _yaml.CParser._parse_next_event
[Mon Jan 11 12:12:55.974913 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]   File "ext/_yaml.pyx", line 912, in _yaml.input_handler
[Mon Jan 11 12:12:55.974922 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]   File "/usr/lib/python3.8/encodings/ascii.py", line 26, in decode
[Mon Jan 11 12:12:55.974926 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336]     return codecs.ascii_decode(input, self.errors)[0]
[Mon Jan 11 12:12:55.974944 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40336] UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 13737: ordinal not in range(128)
[Mon Jan 11 12:12:56.133897 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40362] mod_wsgi (pid=2704): Failed to exec Python script file '/usr/lib/python3/dist-packages/geonode/wsgi.py'.
[Mon Jan 11 12:12:56.133934 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40362] mod_wsgi (pid=2704): Exception occurred processing WSGI script '/usr/lib/python3/dist-packages/geonode/wsgi.py'.
[Mon Jan 11 12:12:56.134052 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40362] Traceback (most recent call last):
[Mon Jan 11 12:12:56.134093 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40362]   File "/usr/lib/python3/dist-packages/geonode/wsgi.py", line 30, in <module>
[Mon Jan 11 12:12:56.134099 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40362]     application = get_wsgi_application()
[Mon Jan 11 12:12:56.134110 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40362]   File "/usr/lib/python3/dist-packages/django/core/wsgi.py", line 12, in get_wsgi_application
[Mon Jan 11 12:12:56.134114 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40362]     django.setup(set_prefix=False)
[Mon Jan 11 12:12:56.134123 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40362]   File "/usr/lib/python3/dist-packages/django/__init__.py", line 24, in setup
[Mon Jan 11 12:12:56.134128 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40362]     apps.populate(settings.INSTALLED_APPS)
[Mon Jan 11 12:12:56.134137 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40362]   File "/usr/lib/python3/dist-packages/django/apps/registry.py", line 83, in populate
[Mon Jan 11 12:12:56.134141 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40362]     raise RuntimeError("populate() isn't reentrant")
[Mon Jan 11 12:12:56.134157 2021] [wsgi:error] [pid 2704] [remote 127.0.0.1:40362] RuntimeError: populate() isn't reentrant

comment:8 Changed 3 months ago by kalxas

Resolution: fixed
Status: newclosed

comment:9 Changed 3 months ago by kalxas

Resolution: fixed
Status: closedreopened

In order for geonode demo to work, we need to install the GeoServer? build including the geonode plugins.

The problem is that this GeoServer? build is ~200MB larger than vanilla GeoServer? and by adding it the iso build breaks due to disk space.

comment:10 Changed 3 months ago by kalxas

Resolution: fixed
Status: reopenedclosed

Fixed in latest nightly build

Note: See TracTickets for help on using tickets.